# utoy

## Building the executable

```
$ nix build
```

## Running

```
$ nix run
```

## Building the Docker image

```
$ docker load < $(nix build .#docker --print-out-paths)
```

## Development Shell

Includes Stack, GHC, `haskell-language-server`, `gen-hie` etc.

```
$ nix develop
```

## Running Stack and GHC

```
$ nix run .#stack
$ nix run .#ghc
```
